client
	Del()	//whenever a player logs out
		if(src.mob)	src.mob.Save()	//we want to automaticaly save their character
		return ..()	//returns to the parent proc (letting any other client Del()s run)

//i manualy save each variable on my save files
//sure it may be a tedious process
//but ive found it to be much more effective then using the built in Read/Write procs
mob/proc
	Save()
		if(src.z==2)	return	//we dont want to save them at the title screens!
		var/savefile/F = new("Players/[src.key].sav")	//creates a new savefile or overwrites an old one
		F["LastX"]<<src.x	//this saves a variable to the savefile, the << point at where youre sending the data
		F["LastY"]<<src.y
		F["LastZ"]<<src.z
		F["dir"]<<src.dir
		F["name"]<<src.name
		F["icon_state"]<<src.icon_state
		F["Level"]<<src.Level
		F["Str"]<<src.Str
		F["Def"]<<src.Def
		F["MaxHP"]<<src.MaxHP
		F["MaxMP"]<<src.MaxMP
		F["Exp"]<<src.Exp
		F["Nexp"]<<src.Nexp
		F["Gold"]<<src.Gold
		F["BankedGold"]<<src.BankedGold
		F["Class"]<<src.Class
		F["contents"]<<src.contents
		F["Items"]<<src.Items
		src<<"Game Saved"

	Load()
		if(fexists("Players/[src.key].sav"))	//check if they have a file
			//placing a \n in a popup will cause the text to jump to the next line
			var/savefile/F = new("Players/[src.key].sav")	//load up the players file
			var/LastX	//these 3 variables are here since you cant directly save a players location
			var/LastY
			var/LastZ
			F["LastX"]>>LastX	//this loads a variable from the savefile
			F["LastY"]>>LastY
			F["LastZ"]>>LastZ
			F["dir"]>>src.dir
			F["name"]>>src.name
			F["icon_state"]>>src.icon_state
			F["Level"]>>src.Level
			F["Str"]>>src.Str
			F["Def"]>>src.Def
			F["MaxHP"]>>src.MaxHP
			F["MaxMP"]>>src.MaxMP
			F["Exp"]>>src.Exp
			F["Nexp"]>>src.Nexp
			F["Gold"]>>src.Gold
			F["BankedGold"]>>src.BankedGold
			F["Class"]>>src.Class
			F["contents"]>>src.contents
			F["Items"]>>src.Items
			src.HP=src.MaxHP	//refresh em when they log back in
			src.MP=src.MaxMP
			//now we'll dynamicaly load the players icon based on their class
			//we do this because saving an icon takes up a massive amount of space
			if(src.Class=="Warrior")	src.icon='Warrior.dmi'
			if(src.Class=="Cleric")	src.icon='Cleric.dmi'
			if(src.Class=="Magician")	src.icon='Magician.dmi'
			if(src.gender=="female")	//gender is a built in BYOND variable, set on each players account from the website
				src.icon_state="2"	//dont forget to change their icon state if theyre a girly!
			src.loc=locate(LastX,LastY,LastZ)
			src.AddName()	//proc found in Procedures.dm
			src<<"Game Loaded"
			return 1	//return 1 if the file was loaded
		else	return 0	//return 0 if there was no file