//these verbs are set to hidden to prevent them from showing up in tabs
//this provides a sleeker look using the BYOND 4.0 interface

mob/verb
	SaveVerb()
		set hidden=1	//this verb is displayed in the menu part of the Interface.dmf file
		usr.Save()	//runs the save proc, found in SaveSystem.dm
	Who()
		//this verb is displayed in the menu part of the Interface.dmf file and in a tab
		usr<<"<b>Players Online:"
		var/counter=0	//define a quick temporary variable to show how many players are online
		for(var/mob/M in world)	//all mobs!
			if(M.key)	//players only!
				counter+=1	//add 1 to the player count
				usr<<"[M.name] ([M.key])"	//displays the players names and keys to the user
					//you could also make this display class/level/etc...
		usr<<"<b>[counter] Players Online"	//then tells the user how many are online
	Say(t as text)
		set hidden=1	//an input box is available at the bottom of the game for direct chatting
		if(usr.IsMuted())
			usr<<"You are Muted!";return
		world<<"\icon[usr.icon]<PRE><B>[usr]:</B> [t]"	//outputs a message from the user to everyone online
	Attack()
		set hidden=1	//this verb is macroed in the macro part of the Interface.dmf file
		if(usr.Attacking)	return
		usr.Attacking=1
		spawn(4)	if(usr)	usr.Attacking=0
		flick("Attack[usr.icon_state]",usr)	//this can be used to make the character look like their attacking
		for(var/mob/Monster/M in get_step(usr,usr.dir))	//finds any monsters directly in front of the user
			var/damage = src.Str-M.Def	//a simple damage calculation
			damage=max(0,damage+rand(-1,1))	//make sure damage isnt negative and varry it a little
			M.HP-=damage	//subtract the damage from HP
			M.DamageShow(damage,200,0,0)	//flashes the damage on the screen
			M.DeathCheck(usr)	//check if you killed the monster