#define DEBUG	//allows for more complete runtime information when hosting the game
world
	map_format = TILED_ICON_MAP	// This is here now because BYOND added a bunch of worthless new map formats that broke old code

	name="RPG Starter"	//This is the Name of your Game, It will Display on the top of Dream Seeker
	status="A Demo With Basic Gameplay Features"	//This will Display as each Server's Information on the hub
	hub="Falacy.RPGStarter"	//This is the Place on the Hub where your game will Show Up
	//(You have to Create a BYOND hub on the BYOND website so your game will show up)
	New()
		if(fexists("Config.sav"))//if we have saved config, load it up
			var/savefile/F = new("Config.sav")
			F["BanList"]>>BanList
			F["MuteList"]>>MuteList
			F["status"]>>world.status
		spawn()
			RespawnWorld()	//starts the respawn proc running
			//This next part will automaticaly generate a list of skills based on what you add
			var/list/TempSkillList=typesof(/obj/Skills/)	//makes a list of all the skills' paths as text
			for(var/O in TempSkillList)	//runs through all the skills
				SkillList+=new O	//create a new object and add it to the skill list!(defined in the variables file)
	Del()	//when the server is shut down
		var/savefile/F = new("Config.sav")	//save the config
		F["BanList"]<<BanList
		F["MuteList"]<<MuteList
		F["status"]<<world.status
		return ..()

client
	view=5
	perspective=EDGE_PERSPECTIVE	//makes it so when you get near the edge of the map you wont see black

mob
	Login()
		if(src.MyIsBanned())
			src<<"You are Banned!"
			del src;return
		src.loc=locate(6,6,2)	//locate the player at your main title screen
		winset(src,"MainWindow.MainMap","icon-size=32")	//sets up the icon size
		winset(src,"MainWindow","Size=800x600;is-maximized=true;pos=0,0")	//sets up the interface window
		world<<"<B>[src] has logged in!"	//outputs a message to the world that somebody arrived
		if(src.key==world.host)	//if this player is the host
			src<<"Host GM Granted"
			src.verbs+=typesof(/mob/GM/verb)//give them GM verbs

mob/Logout()
	world<<"<B>[src] has logged out!"	//outputs a message to the world that somebodly left
	del src	//make sure you delete your players, otherwise youll have a bunch of empty shells standing around