mob/NPCs
	icon='NPCs.dmi'
	New()
		src.AddName()
		return
	Bank_Owner
		icon_state="Banker"
		verb
			Bank()
				set src in oview(1)	//this determines how far away you can be and still talk to this NPC
				switch(input("What can I help you with today?","Banker")in list("Deposit","Withdraw","Balance"))
					//a switch allows you to compare multiple cases from 1 input
					if("Deposit")
						var/Amount = input("You have [usr.Gold] gold. How much do you wish to deposit?","Deposit",usr.Gold) as num
						if(Amount < 0)
							alert("Don't try cheating me!","Banker")	//dont let them deposit less then 0! otherwise theyll rob the bank!
							return
						if(Amount > usr.Gold)
							alert("You don't have that much!", "Deposit")	//cant deposit more than you have right?
							return
						usr << "You deposit [Amount] gold."
						usr.Gold -= Amount	//take the gold from the player
						usr.BankedGold += Amount	//and store it in the bank!
					if("Withdraw")
						var/Amount = input("You have [usr.BankedGold] gold in the Bank. How much do you wish to Withdraw?","Withdraw",usr.BankedGold) as num
						if(Amount < 0)
							alert("Don't try cheating me!","Banker")	//cant take out negative amounts of money
							return
						if(Amount > usr.BankedGold)
							alert("You don't have that much!", "Deposit")	//the banker wont give you more then you have stored
							return
						usr << "You withdraw [Amount] gold."
						usr.BankedGold -= Amount	//take the gold from the bank
						usr.Gold += Amount	//and give it to the player
					if("Balance")
						usr<<"You have [usr.BankedGold] Gold in the Bank"
	Inn_Keeper
		icon_state="Inn Keeper"
		verb
			Stay()
				set src in oview(1)	//this determines how far away you can be and still talk to this NPC
				if(alert("Would you like to stay at the inn for only 15 gold?","Inn Keeper","Yes","No")=="Yes")
					if(usr.Gold<15)	//dont let them stay if theyre poor!
						usr<<"You need more gold! You only have [usr.Gold]!"
					else
						usr<<"You stay at the inn..."
						usr.HP=usr.MaxHP	//if they had enough gold, restore their HP and MP and take 15 gold
						usr.MP=usr.MaxMP
						usr.Gold-=15
						usr<<"Inn Keeper: Come again!"
	Item_Seller
		icon_state="Item Seller"
		verb
			Shop()
				set src in oview(1)
				var/list/ItemList=list("Potion"=30,"Nothing"=0)	//The item name and price
				var/Item2Buy=input("What can I get for you today?","Item Seller") as anything in ItemList	//they pick an item
				var/Price=ItemList[Item2Buy]	//this gets the price based on the list
				if(Price)	//if it has no price you cant buy it!
					if(usr.Gold<Price)
						usr<<"You need [ItemList[Item2Buy]] gold! You only have [usr.Gold]!"
					else
						usr<<"You Buy a [Item2Buy]"
						var/obj/NewItem="/obj/Items/[Item2Buy]"	//note: this only sells items of the obj/Items/ path
						NewItem=new NewItem	//creates the actual object
						usr.contents+=NewItem;usr.Items+=NewItem	//add it to both their contents and Items list
						usr.Gold-=Price
						usr<<"Item Seller: Come again!"
